
var app = getApp()
var that;
Page({
  data: {
    date: app.globalData.month,
    activeIndex: 1,
    page: 1,
    showZp: false,//显示sx选择
    parameter1: { //我指派的参数
      pt_id: 0,//类型
      status: 'all',//状态
      sort: 'publish',//排序
    },
    parameter2: { //我的悬赏
      pt_id: 0,
      order_by: 'create_time',
    },
    list:[1,2,3]
  },
  onLoad(e) {
    if (e.index) {
      this.setData({
        activeIndex: e.index,
      })
    }
    that = this;
    dd.setNavigationBar({ title: "我发布的任务" });
  },

  //显示选择员工
  selectSx() {
    if (this.data.activeIndex == 3) {
      app.globalData.showToast("重复任务暂不支持筛选")
      return
    }
    this.setData({ showZp: true })
  },
  //关闭弹窗
  onClose() {
    this.setData({
      showZp: false,
    })
  },
  //选择筛选
  onConfirmSx(data) {
    console.log(data);
    if (this.data.activeIndex == 1) {
      this.setData({
        sxObj: data,
        page: 1,
        parameter1: { //我指派的参数
          pt_id: data[0],//类型
          status: data[1],//状态
          sort: data[2],//排序
        }
      })
    } else {
      this.setData({
        sxObj: data,
        page: 1,
        parameter2: { //我指派的参数
          pt_id: data[0],//类型
          order_by: data[3] == 'publish' ? 'create_time' : 'expire_time',
        }
      })
    }
    this.getData(this.data.activeIndex);
  },
  onShow() {
    // if (this.data.page == 1) {
    //   dd.hideLoading();
    //   that.getData(that.data.activeIndex);
    // }
  },
  onReset() {
    this.setData({
      keyword: '',
      isVal: false,
      page: 1,
    })
    this.getData(that.data.activeIndex);
  },
  bindPickerChange(e) {
    dd.confirm({
      title: '删除任务',
      content: '删除此任务将会删除其相关记录和积分数据，确认删除吗？',
      confirmButtonText: '确定',
      cancelButtonText: '取消',
      success: (result) => {
        if (result.confirm) {

        }
      },
    });
  },
  bindKeyInput(e) {
    this.setData({
      keyword: e.detail.value,
      isVal: e.detail.value ? true : false,
      page: 1,
    })
    this.getData(that.data.activeIndex);
  },

  getData(index, is) {
    var urlS = ['api/integral/work/list/publisher', 'api/integral/task/publish/list', 'integral/schedule/list'];
    var data;
    if (index == 1) {
      var parameter1 = this.data.parameter1;
      data = {
        page: that.data.page,
        page_size: 20,
        source_type: 1,
        pt_id: parameter1.pt_id,//类型
        status: parameter1.status,//状态
        sort: parameter1.sort,//排序
      }
    } else if (index == 2) {
      var parameter2 = this.data.parameter2;
      data = {
        page: that.data.page,
        page_size: 20,
        status: 'all',
        source_type: 1,
        pt_id: parameter2.pt_id,//类型
        order_by: parameter2.order_by,//类型
      }
    } else {
      data = {
        page: that.data.page,
        page_size: 20,
      }
    }
    app.$get(urlS[index - 1], data).then((res) => {
      var data = res.data.data.list;
      var list = that.data.list;
      data.forEach(element => {
        if (element.pt_id) {
          element.pt_name = app.getTypesItem(element.pt_id).name
        }
      });
      if (is) {
        if (data.length < 20) {
          this.setData({
            list: list.concat(data),
            isData: true
          })
        } else {
          this.setData({
            list: list.concat(data)
          })
        }
      } else {
        this.setData({
          list: data,
          isData: false
        })
      }
    })
  },
  activeItem(e) {
    var index = e.target.dataset.index;
    this.setData({
      activeIndex: index,
      page: 1,
      // list: [],
      sxObj:[],
      parameter1: { //我指派的参数
        pt_id: 0,//类型
        status: 'all',//状态
        sort: 'publish',//排序
      },
      parameter2: { //我的悬赏
        pt_id: 0,
        order_by: 'create_time',
      }
    })
    // this.getData(index);
  },
  openDetail(e) {
    var id = e.target.dataset.item.id;
    dd.navigateTo({
      url: '../taskDetail/taskDetail?id=' + id
    })
  },
  //上啦加载
  onScrollToLower() {
    if (!that.data.isData) {
      this.setData({ page: ++that.data.page })
      this.getData(that.data.activeIndex, true);
    }
  },
});
