var app = getApp();
var that;
var animation;
Page({
  data: {
    users: [],
    item: {
      remark: '',
      id: ''
    },
    defaultVal: '',
  },
  onLoad() {
    that = this;
    dd.setNavigationBar({ title: "完成任务" });
  },
  formSubmit() {
    var page1 = getCurrentPages()[getCurrentPages().length - 2]//上一个页面的数据
    console.log(page1)
    dd.navigateBack({
      delta: 1
    })
  },
  //删除图片
  deteleImg(e) {
    var { itemIndx, index } = e.target.dataset;
    var files = that.data.items[itemIndx].files;//获取itemS集合中对应的files
    var files_box = `items[${itemIndx}].files`;//
    app.globalData.arrRemoveObj(files, files[index]);
    that.setData({
      [files_box]: files
    });

  },
  //图片选择
  openImg(e) {
    var index2 = e.target.dataset.index;
    var files = that.data.items[index2].files;
    if (files.length >= 3) {
      app.globalData.showToast("只能上传三张");
      return false;
    }
    dd.chooseImage({
      count: 1,
      success: (res) => {
        that.postImg(res.filePaths[0], index2);
      },
    });
  },
  postImg(img_url, index) {
    var files_box = `items[${index}].files`;
    var files = this.data.items[index].files;
    dd.httpRequest({
      url: app.globalData.imgHttpUrl,
      method: 'POST',
      data: {
        md5: that.random_string(32),
        'name': app.globalData.day
      },
      success: function (res) {
        if (app.globalData.userData.site_id) {
          var key = 'intesys/dd/' + app.globalData.userData.site_id + "/" + app.globalData.day + '/' + that.random_string(32) + '.png';
        } else {
          var key = 'intesys/dd/' + app.globalData.day + '/' + that.random_string(32) + '.png';
        }
        var obj = res.data.data;
        dd.uploadFile({
          url: app.globalData.ALIOSS_URL,
          fileType: 'image',
          fileName: 'file',
          filePath: img_url,
          formData: {
            key: key,
            policy: obj.policy,
            OSSAccessKeyId: obj.accessid,
            success_action_status: 200,
            signature: obj.signature
          },
          success: (res) => {
            if (res.statusCode == 200) {
              if (files.length > 0) {
                files.push('http://cdn.intesys.g107.com/' + key)
              } else {
                files = ['http://cdn.intesys.g107.com/' + key];
              }
              that.setData({
                [files_box]: files
              });
              app.globalData.showToast("已上传");
            }
          },
          fail: (err) => {
            console.log(err);
          }
        });
      },
      fail: function (res) {
        app.globalData.showToast("上传失败");
      }

    })
  },
  random_string(len) {
    len = len || 32
    var chars = 'ABCDEFGHJKMNPQRSTWXYZabcdefhijkmnprstwxyz2345678'
    var maxPos = chars.length
    var pwd = ''
    for (let i = 0; i < len; i++) {
      pwd += chars.charAt(Math.floor(Math.random() * maxPos))
    }
    return pwd
  },
});
